# Interface ISortableRefactoringHistoryControl

All Superinterfaces:
  `IRefactoringHistoryControl`

public interface ISortableRefactoringHistoryControl extends IRefactoringHistoryControl
Extension interface to `IRefactoringHistoryControl` which provides facilities to set the sort mode of a refactoring history control.

Clients of this interface should call `createControl` before calling `setInput`.

An instanceof of a sortable refactoring history control may be obtained by calling `RefactoringUI.createSortableRefactoringHistoryControl(org.eclipse.swt.widgets.Composite, RefactoringHistoryControlConfiguration)`.

Note: this interface is not intended to be implemented by clients.

Since:
  3.3
See Also:
  - `RefactoringHistoryControlConfiguration`
  - `RefactoringHistoryContentProvider`
  - `RefactoringHistoryLabelProvider`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSortByDate()`
Is sorting by date enabled?
`boolean`
`isSortByProjects()`
Is sorting by projects enabled?
`void`
`sortByDate()`
Sorts the refactorings by date.
`void`
`sortByProjects()`
Sorts the refactorings by projects.

### Methods inherited from interface IRefactoringHistoryControl

`addCheckStateListener, addSelectionChangedListener, createControl, getCheckedDescriptors, getControl, getSelectedDescriptors, removeCheckStateListener, removeSelectionChangedListener, setCheckedDescriptors, setInput, setSelectedDescriptors`

## Method Details

### isSortByDate

boolean isSortByDate()
Is sorting by date enabled?

Returns:
  `true` if it is enabled, `false` otherwise

### isSortByProjects

boolean isSortByProjects()
Is sorting by projects enabled?

Returns:
  `true` if it is enabled, `false` otherwise

### sortByDate

void sortByDate()
Sorts the refactorings by date.

### sortByProjects

void sortByProjects()
Sorts the refactorings by projects.